#### Description:

This function returns a pointer to a FitsChan holding copies of the FITS headers associated with a FitsTable.

#### Synopsis

AstFitsChan ∗astGetTableHeader( AstFitsTable ∗this )

#### Parameters:

##### this

Pointer to the FitsTable.

#### Returned Value

##### astGetTableHeader()

A pointer to a deep copy of the FitsChan stored within the FitsTable.

#### Notes:

- The returned pointer should be annulled using astAnnul when it is no longer needed.

- Changing the contents of the returned FitsChan will have no effect on the FitsTable. To modify the FitsTable, the modified FitsChan must be stored in the FitsTable using astPutTableHeader.

Copyright (C) 2021 East Asian Observatory